html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

html {
    position: relative;
    min-height: 100%;
}

body {
    margin-bottom: 60px;
}

div.dataTables_filter, div.dataTables_length {
    padding: 10px;
}

.hidden {
    display: none;
}

.btn.btn-info.addToCart.disabled {
    background-color: rgba(128, 128, 128, 0.3); /* Graue Hintergrundfarbe mit 0,3 Deckkraft */
}

.navbar-heading {
    margin: 0;
    padding: 0;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

@media (max-width: 768px) {
    .table-responsive {
        overflow-x: auto;
        -webkit-overflow-scrolling: touch;
    }
}

@media (max-width: 992px) {
    .navbar-collapse {
        flex-basis: 100%;
        justify-content: flex-start;
    }

    .navbar-nav {
        flex-direction: column;
        text-align: center;
    }

    .nav-item {
        margin: 10px 0;
    }
}

.fixed-table {
    width: 100%;
    table-layout: fixed;
}

    .fixed-table th, .fixed-table td {
        padding: 8px;
        text-align: left;
        border: 1px solid #ddd;
    }

    .fixed-table th {
        background-color: #f2f2f2;
        font-weight: bold;
    }

        .fixed-table th:nth-child(8), .fixed-table td:nth-child(8) {
            width: 10%; /* Spalte 1: Cycles per minute */
        }

.timeline {
    overflow: auto; /* Füge eine Scroll-Leiste hinzu, wenn der Inhalt überläuft */
}